Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2077985 (CVE-2022-27406) - CVE-2022-27406 Freetype: Segmentation violation via FT_Request_Size
Summary: CVE-2022-27406 Freetype: Segmentation violation via FT_Request_Size
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-27406
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2079181 2079182 2079279 2079280 2079281
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-22 19:03 UTC by Sage McTaggart
Modified: 2024-01-24 16:48 UTC (History)
18 users (show)

Fixed In Version: freetype 2.12.0
Doc Type: If docs needed, set a value
Doc Text:
A segmentation fault was found in FreeType’s FT_Request_Size() function in the ftobjs.c file. This flaw allows an attacker to access a memory location in a way that could cause an application to halt or crash, leading to a denial of service.
Clone Of:
Environment:
Last Closed: 2022-12-05 03:03:27 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:7745 0 None None None 2022-11-08 10:21:42 UTC
Red Hat Product Errata RHSA-2022:8340 0 None None None 2022-11-15 10:59:50 UTC
Red Hat Product Errata RHSA-2024:0420 0 None None None 2024-01-24 16:47:59 UTC

Description Sage McTaggart 2022-04-22 19:03:29 UTC
FreeType commit 22a0cccb4d9d002f33c1ba7a4b36812c7d4f46b5 was discovered to contain a segmentation violation via the function FT_Request_Size.

http://freetype.com
https://gitlab.freedesktop.org/freetype/freetype/-/issues/1140

Comment 1 TEJ RATHI 2022-04-27 06:57:13 UTC
Created freetype tracking bugs for this issue:

Affects: fedora-all [bug 2079181]


Created mingw-freetype tracking bugs for this issue:

Affects: fedora-all [bug 2079182]

Comment 5 errata-xmlrpc 2022-11-08 10:21:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:7745 https://access.redhat.com/errata/RHSA-2022:7745

Comment 6 errata-xmlrpc 2022-11-15 10:59:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:8340 https://access.redhat.com/errata/RHSA-2022:8340

Comment 7 Product Security DevOps Team 2022-12-05 03:03:25 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-27406

Comment 9 errata-xmlrpc 2024-01-24 16:47:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2024:0420 https://access.redhat.com/errata/RHSA-2024:0420


Note You need to log in before you can comment on or make changes to this bug.